Add Password Identity
POST
/me/identities/password
const url = 'https://example.com/me/identities/password';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"password":"example","username":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/me/identities/password \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "password": "example", "username": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
PasswordIdentityIn
object
password
required
Password
string
username
required
Username
string
Examplegenerated
{ "password": "example", "username": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Add Password Identity Me Identities Password Post
Array<object>
IdentityOutobject
provider
required
Provider
string
subject_hint
required
Subject Hint
string
Examplegenerated
[ { "provider": "example", "subject_hint": "example" }]Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}